package cz.frantovo.nekurak.web;

import cz.frantovo.nekurak.dto.Podnik;
import cz.frantovo.nekurak.ejb.PodnikHibernateDAORemote;
import java.io.Serializable;
import java.util.Collection;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

/**
 *
 * @author fiki
 */
public class PodnikyHibernateWeb implements Serializable {

    private PodnikHibernateDAORemote podnikDAO;
    private static final Logger log = Logger.getLogger(PodnikyHibernateWeb.class.getSimpleName());

    public Collection<Podnik> getPodniky() {
	return lookupCilDAO().getPodniky();
    }

    private PodnikHibernateDAORemote lookupCilDAO() {
	if (podnikDAO == null) {
	    try {
		Context c = new InitialContext();
		podnikDAO = (PodnikHibernateDAORemote) c.lookup("cz.frantovo.nekurak.ejb.PodnikHibernateDAORemote");
	    } catch (NamingException e) {
		log.log(Level.SEVERE, "Chyba při hledání PodnikHibernateDAO", e);
		throw new RuntimeException(e);
	    }
	}
	return podnikDAO;
    }
}
